Subject: RE: [Simple] Message Session IDs

From: [email-masked]
Date: Wed, 30 Oct 2002 10:45:54 +0200

Hi,

First off, I also think this current approach does look cleaner and better than the previous ones.

More inline:

> >  > I think these need to go into different envelopes. Why 
> shouldn't the
> >  > To go in the outer envelope?
> > 
> > Hmm. Sounds reasonable. Its almost more like a request URI 
> type of thing.
> 
> I also agree it sounds reasonable--although if we were to do that we 
> might want to call it something other than To. That way, we 
> could keep a 
> more symetric use of To and From in the message/cpim headers. 
> The main 
> reason we chose To in the first place is it already existed in 
> cpim-msgfmt--that is, it did not require an extension. It seems to me 
> that putting an additional header in the outer envelope 
> _does_ require 
> an extension, so we might as well name it whatever we wish.

I also agree. This looks much more like a SessionID than a To. Also, since cpim-msgfmt allows multiple Tos, it might have been a problem anyway.
 
Cheers,
Aki
_______________________________________________
simple mailing list
[email-masked]
http://mailman.dynamicsoft.com/mailman/listinfo/simple